Vla-add

提供: GizmoLabs
移動先: 案内検索
構文
(vla-Add vla-object insertionPoint name) ; ブロックの場合
(vla-Add vla-object origin XAxisPoint YAxisPoint name) ; UCSの場合
(vla-Add vla-object name Description NamedLocation) ; ハイパーリンクの場合
(vla-Add vla-object name ModelType) ; 印刷設定の場合
(vla-Add vla-object name) ; ディクショナリ, 寸法スタイル, ドキュメント, グループ; 画層, レイアウト, 線種, ポップアップメニュー, APP, 選択セット, 文字スタイル, ツールバー, ビュー, ビューポートUCS の場合


機能
(タイプにより)なにかを追加する。


引数
  • ブロック:
  • vla-object … VLAオブジェクト
  • insertionPoint … 挿入点
  • name … ブロック名の文字列
  • UCS :
  • vla-object … VLAオブジェクト
  • origin … 基点(3D)
  • XAxisPoint … UCS の X 軸上の正の点
  • YAxisPoint … UCS の Y 軸上の正の点
  • name … UCS名の文字列
  • ハイパーリンク:
  • vla-object … VLAオブジェクト
  • name … ハイパーリンクの飛び先の文字列
  • Description … ハイパーリンクの説明の文字列
  • NamedLocation … ハイパーリンクの名前の文字列
  • 印刷設定
  • vla-object … VLAオブジェクト
  • name … 印刷設定名の文字列
  • ModelType … ブール値 TRUE=モデル、 False=レイアウト
  • ディクショナリ, 寸法スタイル, Documents, グループ; 画層, レイアウト, 線種, ポップアップメニュー, APP, 選択セット, 文字スタイル, ツールバー, ビュー, ビューポートUCS :
  • vla-object … VLAオブジェクト
  • name … 追加する名前の文字列


戻り値
VLAオブジェクト。


サンプル
(defun c:al-add ()
  ; 選択セットを追加するコマンド
  (vl-load-com)
  (setq *actdoc* (vla-get-activedocument (vlax-get-acad-object)))
  (setq ssets (vla-get-selectionsets *actdoc*))
  
  (if (vl-catch-all-error-p 
        (vl-catch-all-apply 'vla-item (list ssets "$Set")))
    (setq newSet (vla-add ssets "$Set"))
    (progn
      (vla-delete (vla-item ssets "$Set"))
      (setq newSet (vla-add ssets "$Set"))
    ))
  (vla-SelectOnScreen newSet)
  (princ)
);_end_defun


関連事項